PostZen
Webhooks

List webhook deliveries

GET
/v1/webhook-deliveries

Returns retained delivery logs visible to the API key, newest first. Results are capped to the 1000 most recent matching deliveries.

Authorization

bearerAuth
AuthorizationBearer <token>

PostZen API key.

In: header

Query Parameters

webhookId?string

Filter by webhook endpoint id.

event?string

Filter by webhook event type.

status?string

Filter by delivery status.

dateFrom?string

Only include deliveries created at or after this ISO 8601 timestamp.

dateTo?string

Only include deliveries created at or before this ISO 8601 timestamp. Must be later than dateFrom.

page?integer

1-based page number.

limit?integer

Page size.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/webhook-deliveries"
{  "deliveries": [    {      "event": "post.published",      "eventId": "string",      "deliveryId": "string",      "resourceId": "string",      "status": "pending",      "attemptCount": 0,      "lastHttpStatus": 100,      "lastErrorCode": "string",      "lastDurationMs": 0,      "createdAt": "2019-08-24T14:15:22Z",      "lastAttemptAt": "2019-08-24T14:15:22Z",      "deliveredAt": "2019-08-24T14:15:22Z",      "nextAttemptAt": "2019-08-24T14:15:22Z"    }  ],  "pagination": {    "page": 1,    "limit": 1,    "total": 0,    "totalPages": 0  }}
{  "error": "JSON body is required"}
{  "error": "Unauthorized"}
{  "error": "API key requires read_write permission"}
{  "error": "Not found"}
{  "error": "Failed to create post"}